package com.ruoyi.project.invoice.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 预约作业内容对象 t_invoice_workcontent
 *
 * @author ruoyi
 * @date 2022-08-26
 */
public class TInvoiceWorkcontent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 状态 1 ：正常 ；0：删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private Long updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 作业类型 */
    @Excel(name = "作业类型")
    private String workType;

    /** 风险等级 */
    private Long riskLevel;

    /** 作业内容描述 */
    @Excel(name = "作业内容描述")
    private String workDescription;

    /** 作业人员数 */
    @Excel(name = "作业人员数")
    private Long workPeopleNumber;

    /** 火票级别 */
    @Excel(name = "火票级别")
    private String hpjb;

    /** 预计作业时间 */
    @Excel(name = "预计作业时间")
    private String estimateWorktime;

    /** 关联的预约开票ID */
    @Excel(name = "关联的预约开票ID")
    private Long bookingticketId;

    /** 预约票号 */
    @Excel(name = "预约票号")
    private String reservationNumber;

    private TInvoiceBookingworkticket bookingworkticket;

    /** 危害工作许可证号 */
    @Excel(name = "危害工作许可证号")
    private String whgzxkzh;

    /** 动火作业许可证号 */
    @Excel(name = "动火作业许可证号")
    private String dhzyxkzh;

    /** 限制空间许可证号 */
    @Excel(name = "限制空间许可证号")
    private String xzkjxkzh;

    /** 盲板作业许可证号 */
    @Excel(name = "盲板作业许可证号")
    private String mbzyxkzh;

    /** 高处作业许可证号 */
    @Excel(name = "高处作业许可证号")
    private String gczyxkzh;

    /** 高处作业级别 */
    @Excel(name = "高处作业级别")
    private String gczyjb;

    /** 新票/续票 */
    @Excel(name = "新票/续票", dictType = "XPXP")
    private String xpxp;

    /** 延期许可证号 */
    @Excel(name = "延期许可证号")
    private String yqxkzh;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    @TableField(exist = false)
    private String deptName;

    private String tag;

    /** 统计状态 */
    private Integer addStatus;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }


    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setWorkType(String workType)
    {
        this.workType = workType;
    }

    public String getWorkType()
    {
        return workType;
    }
    public void setRiskLevel(Long riskLevel)
    {
        this.riskLevel = riskLevel;
    }

    public Long getRiskLevel()
    {
        return riskLevel;
    }
    public void setWorkDescription(String workDescription)
    {
        this.workDescription = workDescription;
    }

    public String getWorkDescription()
    {
        return workDescription;
    }
    public void setWorkPeopleNumber(Long workPeopleNumber)
    {
        this.workPeopleNumber = workPeopleNumber;
    }

    public Long getWorkPeopleNumber()
    {
        return workPeopleNumber;
    }

    public void setEstimateWorktime(String estimateWorktime)
    {
        this.estimateWorktime = estimateWorktime;
    }

    public String getEstimateWorktime()
    {
        return estimateWorktime;
    }
    public void setBookingticketId(Long bookingticketId)
    {
        this.bookingticketId = bookingticketId;
    }

    public Long getBookingticketId()
    {
        return bookingticketId;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    public void setReservationNumber(String reservationNumber)
    {
        this.reservationNumber = reservationNumber;
    }

    public String getReservationNumber()
    {
        return reservationNumber;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public String getXpxp() {
        return xpxp;
    }

    public void setXpxp(String xpxp) {
        this.xpxp = xpxp;
    }

    public String getYqxkzh() {
        return yqxkzh;
    }

    public void setYqxkzh(String yqxkzh) {
        this.yqxkzh = yqxkzh;
    }

    public Integer getAddStatus() {
        return addStatus;
    }

    public void setAddStatus(Integer addStatus) {
        this.addStatus = addStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("workType", getWorkType())
            .append("riskLevel", getRiskLevel())
            .append("workDescription", getWorkDescription())
            .append("workPeopleNumber", getWorkPeopleNumber())
            .append("hpjb", getHpjb())
            .append("estimateWorktime", getEstimateWorktime())
            .append("bookingticketId", getBookingticketId())
                .append("bookingworkticket", getBookingworkticket())
            .append("deptId", getDeptId())
                .append("reservationNumber", getReservationNumber())
                .append("whgzxkzh", getWhgzxkzh())
                .append("dhzyxkzh", getDhzyxkzh())
                .append("xzkjxkzh", getXzkjxkzh())
                .append("mbzyxkzh", getMbzyxkzh())
                .append("gczyxkzh", getGczyxkzh())
                .append("gczyjb", getGczyjb())
            .toString();
    }

    public TInvoiceBookingworkticket getBookingworkticket() {
        return bookingworkticket;
    }

    public void setBookingworkticket(TInvoiceBookingworkticket bookingworkticket) {
        this.bookingworkticket = bookingworkticket;
    }

    public String getGczyjb() {
        return gczyjb;
    }

    public void setGczyjb(String gczyjb) {
        this.gczyjb = gczyjb;
    }

    public String getWhgzxkzh() {
        return whgzxkzh;
    }

    public void setWhgzxkzh(String whgzxkzh) {
        this.whgzxkzh = whgzxkzh;
    }

    public String getDhzyxkzh() {
        return dhzyxkzh;
    }

    public void setDhzyxkzh(String dhzyxkzh) {
        this.dhzyxkzh = dhzyxkzh;
    }

    public String getXzkjxkzh() {
        return xzkjxkzh;
    }

    public void setXzkjxkzh(String xzkjxkzh) {
        this.xzkjxkzh = xzkjxkzh;
    }

    public String getMbzyxkzh() {
        return mbzyxkzh;
    }

    public void setMbzyxkzh(String mbzyxkzh) {
        this.mbzyxkzh = mbzyxkzh;
    }

    public String getGczyxkzh() {
        return gczyxkzh;
    }

    public void setGczyxkzh(String gczyxkzh) {
        this.gczyxkzh = gczyxkzh;
    }

    public String getHpjb() {
        return hpjb;
    }

    public void setHpjb(String hpjb) {
        this.hpjb = hpjb;
    }
}
